SDL_CreateTray(3)

NAME
SDL_CreateTray - Create an icon to be placed in the operating system's tray, or equivalent.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Tray * SDL_CreateTray(SDL_Surface *icon, const char *tooltip);

DESCRIPTION
Many platforms advise not using a system tray unless persistence is a necessary feature. Avoid needlessly creating a tray icon, as the user may feel like it clutters their interface.

Using tray icons require the video subsystem.

FUNCTION PARAMETERS

icon
    a surface to be used as icon. May be NULL.

tooltip
    a tooltip to be displayed when the mouse hovers the icon in UTF-8 encoding. Not supported on all platforms. May be NULL.

RETURN VALUE
( SDL_Tray
 *) Returns The newly created system tray icon.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTrayMenu(3), •(3), SDL_GetTrayMenu(3), •(3), SDL_DestroyTray(3)